%define name ipw3945d
%define version 1.7.22
%define mdkrelease 4
%define release %mkrel %{mdkrelease}

# dont generate a debug package 
# otherwise we'll end up with an empty rpm
%define _enable_debug_packages 0
%define install %%install

Summary:	Intel PRO/Wireless 3945 (IPW3945ABG) 
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	%{name}-%{version}.tar.bz2
Patch0:		ipw3945d-1.7.22-net.patch
License:	proprietary
Url:		http://sourceforge.net/projects/ipw3945
Group:		System/Kernel and hardware
BuildRoot:	%{_tmppath}/%{name}-buildroot
Prefix:		%{_prefix}
Requires:	drakxtools >= 10-34.2mdk
Requires(preun):	rpm-helper
Requires(post):	rpm-helper


%description
Regulatory daemon for the Intel PRO/Wireless 3945 (IPW3945ABG) Wifi adapter.

%prep
%setup -q 
%patch0 -p1 -b .net

%build

%install
cd $RPM_BUILD_DIR/%{name}-%{version}
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/%{_sbindir}
%ifarch %{ix86}
install -m755 x86/%{name}  $RPM_BUILD_ROOT/%{_sbindir}
%endif
%ifarch x86_64
install -m755 x86_64/%{name}  $RPM_BUILD_ROOT/%{_sbindir}
%endif

install -m755 %{name}-{start,stop} $RPM_BUILD_ROOT/%{_sbindir}
perl -pi -e 's,\B/sbin/%{name},/usr/sbin/%{name},' $RPM_BUILD_ROOT/%{_sbindir}/%{name}-{start,stop}

install -d $RPM_BUILD_ROOT%{_sysconfdir}/modprobe.d
cat > $RPM_BUILD_ROOT%{_sysconfdir}/modprobe.d/%{name} <<EOF
install ipw3945 [ -w /var/run ] && /sbin/modprobe --ignore-install ipw3945 && /usr/sbin/ipw3945d-start
remove  ipw3945 /usr/sbin/ipw3945d-stop ; /sbin/modprobe -r --ignore-remove ipw3945
EOF

%clean
rm -rf $RPM_BUILD_DIR/%{name}-%{version}
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc LICENSE.ipw3945d
%doc README.ipw3945d
%{_sbindir}/ipw3945d
%{_sbindir}/%{name}-start
%{_sbindir}/%{name}-stop
%{_sysconfdir}/modprobe.d/%{name}




%changelog
* Fri Sep 28 2007 Olivier Blin <oblin@mandriva.com> 1.7.22-4mdv2008.0
+ Revision: 93439
- do not load ipw3945 if /var/run is not writable,
  so that it is not loaded by coldplug when /var is ro,
  but only by network service (#31745)


* Tue Mar 20 2007 Olivier Blin <oblin@mandriva.com> 1.7.22-3mdv2007.1
+ Revision: 146984
- wait for net interface creation in modprobe command
- use modprobe install commands and upstream start/stop scripts (to replace initscript and prevent daemon from being started before the module is loaded)
- add LSB header in initscript
- bunzip2 source
- Import ipw3945d

* Tue Aug 15 2006 Arnaud Patard <apatard@mandriva.com> 1.7.22-1mdv2007
- 1.7.22

* Fri Apr 21 2006 Arnaud Patard <apatard@mandriva.com> 1.7.18-2mdk
- Fix typo in the initscript

* Wed Mar 22 2006 Arnaud Patard <apatard@mandriva.com> 1.7.18-1mdk
- ipw3945d 1.7.18

